var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) { 
 function r() { 
 this.constructor = t;
}
for (var i in e) e.hasOwnProperty(i) && (t[i] = e[i]);
r.prototype = e.prototype, t.prototype = new r();
};
var GameEntrance = (function (_super) {
    __extends(GameEntrance, _super);
    function GameEntrance() {
        var _this = _super.call(this) || this;
        _this.addEventListener(egret.Event.ADDED_TO_STAGE, _this.onAddToStage, _this);
        GameEntrance.ins = _this;
        return _this;
    }
    GameEntrance.prototype.onAddToStage = function () {
        this.removeEventListener(egret.Event.ADDED_TO_STAGE, this.onAddToStage, this);
        var stw = this.stage.stageWidth;
        var sth = this.stage.stageHeight;
        this.bg = new eui.Image();
        this.bg.source = "bg.jpg";
        // this.bg.width = stw;
        // this.bg.height = sth;
        this.bg.addEventListener(egret.Event.COMPLETE, this.onBgLoaded, this);
        this.addChild(this.bg);
        var tw = 350, th = 140;
        var tx = stw - tw >> 1;
        var ty = sth - th >> 1;
        this.sp = new egret.Sprite();
        this.sp.graphics.lineStyle(2, 0xdddddd);
        this.sp.graphics.beginFill(0x000000, 0.6);
        this.sp.graphics.drawRoundRect(0, 0, tw, th, 20, 20);
        this.sp.x = tx;
        this.sp.y = ty;
        this.sp.graphics.endFill();
        this.addChild(this.sp);
        this.img = new eui.Image();
        this.img.source = "retry03.png";
        this.img.x = (stw - 180) / 2;
        this.img.y = (sth - 44) / 2 + 30;
        this.img.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onRetryClick, this);
        this.addChild(this.img);
        var cir = new eui.Image();
        this.cir = cir;
        cir.source = "res/load_Reel.png";
        cir.width = cir.height = 50;
        cir.anchorOffsetX = cir.anchorOffsetY = 25;
        cir.x = (stw >> 1) - 126;
        cir.y = this.img.y - 34;
        this.addChild(cir);
        var tween = egret.Tween.get(cir, { loop: true });
        tween.to({ rotation: 360 }, 1000);
        this.txt = new egret.TextField();
        // this.txt.textAlign = egret.HorizontalAlign.CENTER;
        this.txt.width = 250; //this.stage.stageWidth;
        this.txt.x = this.sp.x + 90;
        this.txt.y = this.img.y - 50;
        this.txt.textColor = 0xffffff;
        this.txt.text = "正在为您登录，请稍候...\n如等待时间过长，请点击重试";
        this.txt.size = 18;
        this.addChild(this.txt);
    };
    GameEntrance.prototype.onBgLoaded = function (e) {
        this.bg.removeEventListener(egret.Event.COMPLETE, this.onBgLoaded, this);
        // console.log(`BGImagSize: ${this.bg.width} / ${this.bg.height}`);
        this.bg.width = this.stage.stageWidth;
        this.bg.height = this.bg.height * this.stage.stageWidth / this.bg.width;
    };
    GameEntrance.prototype.setRetryFunc = function (retryFunc) {
        this.retryFunc = retryFunc;
    };
    GameEntrance.prototype.onRetryClick = function (e) {
        if (this.retryFunc) {
            this.retryFunc();
        }
    };
    GameEntrance.prototype.updateText = function (str) {
        if (this.txt) {
            this.txt.text = str;
        }
    };
    GameEntrance.prototype.dispose = function () {
        if (this.img) {
            this.img.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.onRetryClick, this);
        }
        if (this.bg) {
            this.bg.removeEventListener(egret.Event.COMPLETE, this.onBgLoaded, this);
        }
        if (this.parent) {
            this.parent.removeChild(this);
        }
        if (this.cir) {
            egret.Tween.removeTweens(this.cir);
        }
    };
    return GameEntrance;
}(egret.DisplayObjectContainer));
__reflect(GameEntrance.prototype, "GameEntrance");
//# sourceMappingURL=GameEntrance.js.map